--[[
Copyright (c) 2012-2013 Daniel Hagerstrand

This software is provided 'as-is', without any express or implied warranty. In
no event will the authors be held liable for any damages arising from the use
of this software.

Permission is granted to anyone to use this software for any purpose, including
commercial applications, and to alter it and redistribute it freely, subject to
the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software in a
product, an acknowledgment in the product documentation would be appreciated
but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
--]]


--[[
Klua - An engine for action games in LOVE2D.
--]]


-- Pull in relevant modules
require "lib.klua.propertyfile"
require "lib.klua.gameloop"
require "lib.klua.input"
require "lib.klua.scene"
require "lib.klua.tileset"
require "lib.klua.tilegrid"
require "lib.klua.entity"
require "lib.klua.tilegridentity"
require "lib.klua.costume"
require "lib.klua.animation"
require "lib.klua.sound"
require "lib.klua.music"
require "lib.klua.textentity"

function love.load()
	-- Bind left, right, up, down, fire, etc. controls
	input.setDefaults()
	
	-- User should define setup() in main.lua
	if setup then
		setup()
	end
	
	-- Start game
	gameloop.firstScene()
end
