 --[[
Copyright (c) 2012-2013 Daniel Hagerstrand

This software is provided 'as-is', without any express or implied warranty. In
no event will the authors be held liable for any damages arising from the use
of this software.

Permission is granted to anyone to use this software for any purpose, including
commercial applications, and to alter it and redistribute it freely, subject to
the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software in a
product, an acknowledgment in the product documentation would be appreciated
but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
--]]


--[[
Propertyfile - Simple wrapper for loading property tables from Lua scripts.
--]]

require "lib.klutils.cabin"

propertyfile = {}

function propertyfile.get(filepath)
	local returnCode, func, outTable
	
	returnCode, func = pcall(love.filesystem.load, filepath .. "/properties.lua")
	
	if not returnCode then
		cabin.warning(tostring(func))
	else
		returnCode, outTable = pcall(func)
		
		if not returnCode then
			cabin.warning(tostring(func))
		end
	end
	
	return outTable
end
