--[[
Copyright (c) 2013 Daniel Hagerstrand

This software is provided 'as-is', without any express or implied warranty. In
no event will the authors be held liable for any damages arising from the use
of this software.

Permission is granted to anyone to use this software for any purpose, including
commercial applications, and to alter it and redistribute it freely, subject to
the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software in a
product, an acknowledgment in the product documentation would be appreciated
but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
--]]

require "lib.klua"
require "lib.klutils.cabin"
require "lib.klutils.objectlist"

require "src.entities.puzzleboard"

GoalBoard = PuzzleBoard:makeClass
{
	_tics = 0,
	_targetScale = 1.0,
	_targetX = 0,
	_targetY = 0
}

function GoalBoard:init(x, y, leveltable, levelnum)
	self:setScale(0, 0)
	
	self._targetX = x
	self._targetY = y
	
	PuzzleBoard.init(self, x, y, leveltable, levelnum, 'goal', 'board-mini')
end

function GoalBoard:doDisappear()
	self._finishPlaying = true
end

function GoalBoard:think()
	-- Initial transition
	if not self._finishPlaying and self._tics < 30 then
		self._tics = self._tics + 1
	elseif self._finishPlaying and self._tics > 0 then
		self._tics = self._tics - 1
	end
		
	local tween = math.sin(self._tics / 60.0 * math.pi)
	
	self:setPosition(self._targetX, self._targetY - ((1 - tween) * 1) * 800)
	self:setScale(self._targetScale, self._targetScale)
	self:setAngle((1 - (tween)) * 0.25)
end
