--[[
Copyright (c) 2013 Daniel Hagerstrand

This software is provided 'as-is', without any express or implied warranty. In
no event will the authors be held liable for any damages arising from the use
of this software.

Permission is granted to anyone to use this software for any purpose, including
commercial applications, and to alter it and redistribute it freely, subject to
the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software in a
product, an acknowledgment in the product documentation would be appreciated
but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
--]]

require "lib.klua"
require "lib.klutils.cabin"

Mistake = Entity:makeClass
{
	_tics = 0
}

function Mistake:init(boardX, boardY, boardObj)
	if not boardObj then
		cabin.error("Mistake must belong to a board object.")
	end
	
	self._boardX = boardX
	self._boardY = boardY
	
	self._boardObj = boardObj
	
	local originX, originY = boardObj:boardToScreenCoords(boardX, boardY)
	
	Entity.init(self, originX, originY)
	
	self:setCostume("mistake")
end

function Mistake:think()
	if not self._boardObj then
		return
	end
	
	self:setPosition(self._boardObj:boardToScreenCoords(self._boardX, self._boardY))
	
	self._tics = self._tics + 0.1
	local scale = (1.0 - (0.2 * math.sin(self._tics)))
	
	self:setScale(scale, scale)
end
