--[[
Copyright (c) 2013 Daniel Hagerstrand

This software is provided 'as-is', without any express or implied warranty. In
no event will the authors be held liable for any damages arising from the use
of this software.

Permission is granted to anyone to use this software for any purpose, including
commercial applications, and to alter it and redistribute it freely, subject to
the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software in a
product, an acknowledgment in the product documentation would be appreciated
but is not required.

    2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
--]]


-- Initialize to true so that the first call causes the game to initialize as
--  a window.
local _isFullscreen = true
local _desktopW, _desktopH = love.graphics.getWidth(), love.graphics.getHeight()

function toggleMode()
	
	_isFullscreen = (_isFullscreen ~= true)
	
	if _isFullscreen then
		love.graphics.setMode(_desktopW, _desktopH, true)
	else
		if _desktopW > 1280 and _desktopH >= 800 then
			-- We check for the screen height to be 800 to account for things
			--  like large panels, etc.
			love.graphics.setMode(1280, 720, false)
		else
			love.graphics.setMode(800, 450, false)
		end
	end
	
end
